import React, { PropTypes } from 'react';

export const LinkWithProps = (props) => {
  const onClick: Function = () => props.onClick(props);

  return (
    <a className={props.className} onClick={onClick}>
      {props.children
        ? props.children
        : props.text
      }
    </a>
  );
};

LinkWithProps.propTypes = {
  onClick: PropTypes.func,
  text: PropTypes.string,
  children: PropTypes.node,
  className: PropTypes.string
};

export default LinkWithProps;
