import assert from './Assert';

export default function computedOption (val, opts = [], defaultVal) {
  let canReturnVal = false;

  if (opts.indexOf(val) >= 0) {
    canReturnVal = true;
  }

  if (typeof val === 'number') {
    if (opts.indexOf(val.toString()) >= 0) {
      canReturnVal = true;
    }
  }

  if (typeof val === 'string') {
    if (opts.indexOf(parseInt(val)) >= 0) {
      canReturnVal = true;
    }
  }

  if (canReturnVal) {
    return val;
  }

  if (defaultVal !== null && defaultVal !== undefined) {
    return defaultVal;
  }

  assert(`The option you selected: "${val}" is not a selectable option.`, canReturnVal, 'Computed Option');
}
