import { isPresent } from 'utils/js-utils';

export const buttonDisabled: Function = (
  record = {},
  requiredFields = [],
  validationErrors = {},
  optionalBools = {}
): boolean => {
  let missingFields = [];
  let errorFields = [];
  let bools = [];

  requiredFields.forEach((field) => {
    if (!record[field]) {
      missingFields.push(field);
    }
  });

  for (let field in record) {
    if (!isPresent(record[field]) && requiredFields.indexOf(field) >= 0) {
      missingFields.push(field);
    }
  }

  for (let field in validationErrors) {
    if (validationErrors[field].length > 0) {
      errorFields.push(field);
    }
  }

  for (let bool in optionalBools) {
    if (optionalBools[bool] === true) {
      bools.push(bool);
    }
  }

  if (missingFields.length || errorFields.length || bools.length) {
    return true;
  };

  return false;
};
