import React, { Component } from 'react';
import {
  AsyncButton,
  Checkbox,
  Dropdown,
  FlashMessage,
  FlexGrid,
  GridItem
} from 'dx-component-kit-react';

class App extends Component {

  constructor (props) {
    super(props);

    this.state = { checkVal: false, showFlash: false };
  }

  checkChange = () => {
    this.setState({ checkVal: !this.state.checkVal });
  };

  toggleFlash = () => {
    this.setState({ showFlash: !this.state.showFlash });
  };

  render () {
    return (
      <div className="site">
        <div className="site-header">
          <div className='container'>
            <h2>Welcome</h2>
          </div>
        </div>
        <div className="site-content">
          <div className='container'>
            <section className='section--sm'>
              <h3>Async Button</h3>
              <AsyncButton />
            </section>

            <section className='section--sm'>
              <h3>Checkbox</h3>
              <Checkbox
                label='Check me'
                recordField='checkVal'
                onChange={this.checkChange}
                checked={this.state.checkVal}
              />
            </section>

            <section className='section--sm'>
              <h3>Dropdown</h3>
              <Dropdown
                label='Check me'
                recordField='checkVal'
                onChange={this.onChange}
                checked={this.state.cool}
              />
            </section>

            <section className='section--sm'>
              <h3>FlashMessage</h3>

              {this.state.showFlash
                ? <FlashMessage closeFlash={this.toggleFlash} messageHeader='Cool!' type='success' messageText='This is a flash message' />
                : null
              }

              <button className='btn btn--default' onClick={this.toggleFlash}>Toggle Flash</button>
            </section>

            <section className='section--sm'>
              <h3>FlexGrid</h3>

              <FlexGrid>
                <GridItem spacing='small' itemWidth='small'>
                  <h1>Content</h1>
                </GridItem>
                <GridItem spacing='small' itemWidth='small'>
                  <h1>Content</h1>
                </GridItem>bo
                <GridItem spacing='small' itemWidth='small'>
                  <h1>Content</h1>
                </GridItem>
              </FlexGrid>
            </section>

          </div>
        </div>
      </div>
    );
  }

}

export default App;
