import * as FM from 'helpers/FetchMethods';
import Rx from 'rx-lite';

describe('(Helpers) FetchMethods', () => {
  describe('The GET method, exported from FetchMethods...', () => {
    let url;

    beforeEach(() => {
      url = 'https://private-0b695-sabretsx.apiary-mock.com/health';
    });

    it('Should be a function', () => {
      expect(FM.get).to.be.a('function');
    });

    it('Should return an observable', () => {
      expect(FM.get({ url }))
        .to.be.an.instanceOf(Rx.Observable);
    });

    it('Should be subscribable', () => {
      expect(FM.get({ url }).subscribe)
        .to.be.a('function');
    });

    it('Should be mappable', () => {
      expect(FM.get({ url }).map)
        .to.be.a('function');
    });
  });

  describe('The POST method, exported from FetchMethods...', () => {
    let url;

    beforeEach(() => {
      url = 'https://private-0b695-sabretsx.apiary-mock.com/authenticated-apps';
    });

    it('Should be a function', () => {
      expect(FM.post).to.be.a('function');
    });

    it('Should return an observable', () => {
      expect(FM.post({ url }))
        .to.be.an.instanceOf(Rx.Observable);
    });

    it('Should be subscribable', () => {
      expect(FM.post({ url }).subscribe)
        .to.be.a('function');
    });

    it('Should be mappable', () => {
      expect(FM.post({ url }).map)
        .to.be.a('function');
    });

    // it('Should return a promise', () => {
    //   expect(FM.post({ url: 'https://private-0b695-sabretsx.apiary-mock.com/authenticated-apps'}))
    //     .to.be.a('object')
    //     .and.to.eventually.be.fulfilled;
    // });
  });

});
