import * as FormHelpers from 'helpers/FormHelpers';

describe('(Helpers) FormHelpers', () => {
  describe('buttonDisabled', () => {
    let _requiredFields;
    let _record;
    let _validationErrors;

    beforeEach(() => {
      _requiredFields = ['name'];
      _record = { name: '' };
      _validationErrors = { name: ['This is a required field'] };
    });

    it('Should be exported as a function', () => {
      expect(FormHelpers.buttonDisabled).to.be.a('function');
    });

    it('Should return a boolean', () => {
      expect(FormHelpers.buttonDisabled()).to.be.a('boolean');
    });

    it('Should return `true` if one of the `record` props is missing, and is defined in `requiredFields`', () => {
      expect(FormHelpers.buttonDisabled(_record, _requiredFields, _validationErrors)).to.equal(true);
    });

    it('Should return `true` any key in `validationErrors` has an array value with length > 0', () => {
      expect(FormHelpers.buttonDisabled(_record, _requiredFields, _validationErrors)).to.equal(true);
    });
  });
});
