import momentFormat from 'helpers/MomentFormat';
import moment from 'moment';

describe('(Helper) Moment-format', () => {
  let _testMoment;
  let _formatStr;

  beforeEach(() => {
    _testMoment = moment();
    _formatStr = 'ddd, MMM D h:mma';
  });

  it('Should export a momentFormat function', () => {
    expect(momentFormat).to.be.a('function');
  })

  it('Should output string formatted with `lll` if no formatStr is provided', () => {
    expect(momentFormat(_testMoment)).to.equal(moment(_testMoment).format('lll'));
  });

  it('Should format date using `formatStr` provided', () => {
    expect(momentFormat(_testMoment, _formatStr)).to.equal(moment(_testMoment).format(_formatStr));
  });
});
